Page MenuHomePhabricator

Reposition the info (i) to match the standard OOUI look
Closed, ResolvedPublic3 Estimate Story Points

Description

Current situation:
Currently, when tabbing through the fields, the order is unexpected

Example:

This is due to the fact that the (i) is places behind the fields and not in front like in the standard UI elements which look like this

Our UI looks like this

Task:
Adapt out UI to the standard OOUI.

Acceptance criteria:

  • The into (i)s are now placed right after the field label but before the field itself
  • When tabbing the order is now LTR on LTR languages and RTL on RTL languages and goes to the next line when the current line has no more elements

Originally taken from T181162

Details

Related Gerrit Patches:
mediawiki/extensions/AdvancedSearch : masterUn-break the field layout

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 5 2017, 4:51 PM
Lea_WMDE triaged this task as Medium priority.Feb 6 2018, 2:53 PM
Lea_WMDE removed a project: WMDE-QWERTY-Team.
Lea_WMDE updated the task description. (Show Details)

Hello again :) @Mooeypoo @Volker_E @matmarex is this something that should be changend for OOUI or just in advancedSearch?

@Lea_WMDE It's a problem with AdvancedSearch only, since it customizes the display of the fields in funny ways, in particular moving the "help" buttons to the right, but without doing anything to fix the tabbing order.

Just for reference, AdvancedSearch interface looks like this:


While a normal OOUI FieldLayout looks like this:

@matmarex thanks for the hint! Then we will look for a custom solution (or change to standard behavior) :)

As much as I prefer it to be the other way round, we should change to the standard behavior on this one. If we want to make such changes we should either have a very good reason for the exception on hand or we should address the OOUI pattern altogether.

Charlie_WMDE renamed this task from Change the tab order in advanced search fields to Reposition the info (i) to match the standart OOUI look.Apr 10 2018, 1:05 PM
Charlie_WMDE updated the task description. (Show Details)
Lea_WMDE renamed this task from Reposition the info (i) to match the standart OOUI look to Reposition the info (i) to match the standard OOUI look.Apr 25 2018, 11:55 AM
Lea_WMDE set the point value for this task to 3.

Change 436788 had a related patch set uploaded (by Gabriel Birke; owner: Gabriel Birke):
[mediawiki/extensions/AdvancedSearch@master] Un-break the field layout

https://gerrit.wikimedia.org/r/436788

Tonina_Zhelyazkova_WMDE removed Tim_WMDE as the assignee of this task.Jun 1 2018, 1:33 PM
Tonina_Zhelyazkova_WMDE moved this task from Todo to Review on the WMDE-FUN-Sprint-2018-05-28 board.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Not an issue with the OOUI library, but instead a piece of UI standardisation work.

Change 436788 merged by Tonina Zhelyazkova:
[mediawiki/extensions/AdvancedSearch@master] Un-break the field layout

https://gerrit.wikimedia.org/r/436788

thiemowmde moved this task from Incoming to Advanced Search on the TCB-Team board.Jun 12 2018, 4:05 PM
Lea_WMDE closed this task as Resolved.Oct 11 2018, 8:52 AM